STG-MDIFF(1)

NAME
stg-mdiff - display meta-diffs (diffs of diffs)

SYNOPSIS
stg-mdiff [-o diff-flags] [-O gitdiff-flags] spec1 spec2

DESCRIPTION
stg-mdiff compares two patch states and shows the difference between their diffs. Its main use is to show how a patch has evolved over time. Each spec argument is either a patch name or a revision range in from..to form.

OPTIONS

-o diff-flags
    Pass diff-flags to the outer diff(1) invocation.

-O gitdiff-flags
    Pass gitdiff-flags to the inner stg-diff(1) invocation.

EXAMPLES

Show how patch
    foo changed relative to the stable branch: stg-mdiff foo@stable foo

SEE ALSO
stg(1), diff(1)